Retry a workflow run
POST
/v1/forms/{form}/workflow-runs/{run}/retry
const url = 'https://api.submeto.com/v1/forms/example/workflow-runs/example/retry';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"confirm_delivery_uncertainty":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.submeto.com/v1/forms/example/workflow-runs/example/retry \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "confirm_delivery_uncertainty": true }'Resumes an eligible blocked run from its server-selected boundary. Requires
workflows:write, an idempotency key, and explicit user confirmation.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”form
required
string
The form ID.
run
required
string
The run ID.
Header Parameters
Section titled “Header Parameters”Idempotency-Key
string
Request Body
Section titled “Request Body”Media typeapplication/json
object
confirm_delivery_uncertainty
boolean
Examplegenerated
{ "confirm_delivery_uncertainty": true}Responses
Section titled “Responses”Run retry accepted
Media typeapplication/json
object
data
object
run_id
string
status
string
request_id
string
Example
{ "data": { "run_id": "01JRUN00000000000000000000", "status": "pending" }, "request_id": "REQUEST_ID"}Media typeapplication/json
One of:
Run not eligible
object
error
object
code
string
message
string
details
object
request_id
string
Delivery confirmation required
object
error
object
code
string
message
string
details
object
request_id
string
Example
{ "error": { "code": "workflow_retry_ineligible", "message": "This workflow run is not eligible for retry.", "details": {} }, "request_id": "REQUEST_ID"}